Get All Plans
curl --request GET \
--url https://api.spotflow.co/api/v1/plans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.spotflow.co/api/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spotflow.co/api/v1/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spotflow.co/api/v1/plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.spotflow.co/api/v1/plans")
.header("Authorization", "Bearer <token>")
.asString();[
{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"frequency": "DAILY",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"internalReference": "<string>",
"regions": [
"<string>"
],
"subscribers": 123,
"subscriptions": 123,
"trial": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"periodInDays": 123,
"pricingList": [
{
"type": "FLAT",
"amount": 123,
"currency": "<string>"
}
]
},
"pricingOptions": [
{
"amount": 123,
"currency": "<string>"
}
]
}
],
"pageNumber": 123,
"pageSize": 123,
"totalElements": 123,
"totalPages": 123
}
]{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"message": "Authorization token is required.",
"statusCode": 401,
"code": "AUTH_ERROR",
"requestMarker": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Subscription Plans
Get All Plans
This retrieves and lists all subscription plans available on your integration.
GET
/
plans
Get All Plans
curl --request GET \
--url https://api.spotflow.co/api/v1/plans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.spotflow.co/api/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spotflow.co/api/v1/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spotflow.co/api/v1/plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.spotflow.co/api/v1/plans")
.header("Authorization", "Bearer <token>")
.asString();[
{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"frequency": "DAILY",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"internalReference": "<string>",
"regions": [
"<string>"
],
"subscribers": 123,
"subscriptions": 123,
"trial": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"periodInDays": 123,
"pricingList": [
{
"type": "FLAT",
"amount": 123,
"currency": "<string>"
}
]
},
"pricingOptions": [
{
"amount": 123,
"currency": "<string>"
}
]
}
],
"pageNumber": 123,
"pageSize": 123,
"totalElements": 123,
"totalPages": 123
}
]{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"message": "Authorization token is required.",
"statusCode": 401,
"code": "AUTH_ERROR",
"requestMarker": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
Query Parameters
Response
A JSON array of subscription objects.
⌘I

